Name:          maliit-framework
Version:       2.3.0
Release:       1
Summary:       Input method framework

License:       LGPLv2
URL:           https://maliit.github.io/
Source0:       https://github.com/maliit/framework/archive/%{version}/%{name}-%{version}.tar.gz 

Patch1:        move-the-operator-definition-to-global-namespace.patch

BuildRequires: cmake
BuildRequires: gcc-c++

BuildRequires: doxygen
BuildRequires: libX11-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXdamage-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libxkbcommon-devel
BuildRequires: systemd-devel

BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-qtbase-static
BuildRequires: qt5-qtdeclarative-devel
BuildRequires: qt5-qtwayland-devel

BuildRequires: wayland-devel
BuildRequires: wayland-protocols-devel

Obsoletes: maliit-framework-gtk2 < 2.0.0
Obsoletes: maliit-framework-qt4 < 2.0.0
Obsoletes: maliit-framework-gtk3 < 2.0.0

%description
Maliit provides a flexible and cross-platform input method framework. It has a
plugin-based client-server architecture where applications act as clients and
communicate with the Maliit server via input context plugins. The communication
link currently uses D-Bus.

%package qt5
Summary: Input method module for Qt 5 based on Maliit framework
BuildRequires: qt5-qtbase-private-devel
Obsoletes: maliit-plugins < 2.0.0

Requires: %{name}%{?_isa} = %{version}-%{release}

%description qt5
Input method module for Qt 4 based on Maliit framework.


%package devel
Summary: Development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
# libmaliit-plugins moved to -qt5
Requires: %{name}-qt5%{?_isa} = %{version}-%{release}

%description devel
Files for development with %{name}.

%package docs
Summary: Documentation files for %{name}

%description docs
This package contains developer documentation for %{name}.

%package examples
Summary: Tests and examples for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: %{name}-qt5%{?_isa} = %{version}-%{release}

%description examples
This package contains tests and examples for %{name}.


%prep
%autosetup -n framework-%{version} -p1


%build
%cmake -Denable-examples=ON \
       -Denable-dbus-activation=ON \
       -Denable-wayland-gtk=ON
%make_build


%install
make install/fast DESTDIR=%{buildroot}


%ldconfig_scriptlets

%files
%license LICENSE.LGPL
%doc README.md NEWS
%{_bindir}/maliit-server
%{_libdir}/libmaliit-glib.so.2*
%{_datadir}/dbus-1/services/org.maliit.server.service

%ldconfig_scriptlets qt5

%files qt5
%{_libdir}/libmaliit-plugins.so.2*
%{_libdir}/qt5/plugins/platforminputcontexts/libmaliitplatforminputcontextplugin.so
%{_libdir}/qt5/plugins/wayland-shell-integration/libinputpanel-shell.so

%files devel
%{_includedir}/maliit-2
%{_libdir}/cmake/MaliitGLib/
%{_libdir}/cmake/MaliitPlugins/
%{_libdir}/libmaliit-plugins.so
%{_libdir}/libmaliit-glib.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/qt5/mkspecs/features/*.prf

%files docs
%{_datadir}/doc/maliit-framework-doc/
%{_datadir}/doc/maliit-framework/

%files examples
%{_bindir}/maliit-exampleapp-plainqt


%changelog
* Tue Jan 09 2024 peijiankang <peijiankang@kylinos.cn> - 2.3.0-1
- update verison to 2.3.0

* Thu Sep 14 2023 misaka00251 <liuxin@iscas.ac.cn> - 2.2.0-2
- Add patch to fix build with gcc-12 & fix yaml

* Wed Jul 20 2022 misaka00251 <misaka00251@misakanet.cn> - 2.2.0-1
- Init package
